<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <title>Host AP Linux driver for Intersil Prism2/2.5/3 wireless LAN cards and WPA Supplicant</title>
    <meta name="description" content="Linux driver for Host AP mode of Intersil Prism2/2.5/3 and WPA Supplicant">
    <meta name="keywords" content="Host AP, hostap, Prism2, Linux driver for Prism2, Linux access point, software access point, hostapd, IEEE 802.11, IEEE 802.1X, WPA, WPA2, WPA Supplicant, wpa_supplicant, IEEE 802.11i, TKIP, CCMP, EAP-PEAP, EAP-TLS, IEEE 802.1X Supplicant, IEEE 802.1aa, EAPOL, RSN, pre-authentication, PMKSA caching, BSD hostapd, FreeBSD hostapd, RADIUS, authentication server, wireless">
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  </head>

  <body>
    <h2>Host AP driver for Intersil Prism2/2.5/3, hostapd, and WPA Supplicant</h2>

<h3><a name="intro">Introduction</a></h3>

<p>This project includes three main components:</p>
<ul>
<li>Host AP - Linux driver for Prism2/2.5/3</li>
<li><a href="hostapd/">hostapd</a> - user space daemon for access points,
    including, e.g., IEEE 802.1X/WPA/EAP Authenticator for number of Linux and
    BSD drivers, RADIUS client, integrated EAP server, and RADIUS
    authentication server</li>
<li><a href="wpa_supplicant/">wpa_supplicant</a> user space IEEE 802.1X/WPA
    supplicant (wireless client) for number of Linux, BSD, and Windows
    drivers</li>
</ul>

<p>
Host AP is a Linux driver for wireless LAN cards based on Intersil's
Prism2/2.5/3 chipset. The driver supports a so called Host AP mode, i.e., it
takes care of IEEE 802.11 management functions in the host computer
and acts as an access point. This does not require any special
firmware for the wireless LAN card. In addition to this, it has
support for normal station operations in BSS and possible also in
IBSS. WPA and RSN (WPA2) is supported when used with accompanied tools,
wpa_supplicant (WPA/RSN Supplicant) and hostapd (WPA/RSN Authenticator). All
these programs have been designed for both desktop/laptop computers and
embedded systems.
</p>

<p>
Intersil's station firmware for Prism2 chipset supports a so called
Host AP mode in which the firmware takes care of time critical tasks
like beacon sending and frame acknowledging, but leaves other
management tasks to host computer driver. This driver implements basic
functionality needed to initialize and configure Prism2-based cards,
to send and receive frames, and to gather statistics. In addition, it
includes an implementation of following IEEE 802.11 functions:
authentication (and deauthentication), association (reassociation, and
disassociation), data transmission between two wireless stations,
power saving (PS) mode signaling and frame buffering for PS
stations. The driver has also various features for development
debugging and for researching IEEE 802.11 environments like access to
hardware configuration records, I/O registers, and frames with 802.11
headers.
</p>

<p>
When used with a user space daemon, the combination of the Host AP
driver and hostapd daemon includes additional features. These include
support for IEEE 802.1X and dynamic WEP rekeying, RADIUS Accounting,
RADIUS-based ACL for IEEE 802.11 authentication, minimal IAPP (IEEE
802.11f), WPA, IEEE 802.11i/RSN/WPA2.
</p>

<p>
<a href="http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Wireless.html">Linux
Wireless LAN Howto</a> has some useful information about wireless LAN support
in Linux. In addition, it includes information about which cards are
Prism2-based (and can thus be used in Host AP mode).
</p>

<h3><a name="wpa_supplicant">WPA/RSN Supplicant (wpa_supplicant)</a></h3>

<p>More information is available on <a
href="wpa_supplicant/">wpa_supplicant's own page</a>.</p>

<p>Supported WPA/IEEE 802.11i features:</p>
<ul>
<li>WPA-PSK ("WPA-Personal")</li>
<li>WPA with EAP (e.g., with RADIUS authentication server) ("WPA-Enterprise")</li>
<li>key management for CCMP, TKIP, WEP104, WEP40</li>
<li>WPA and full IEEE 802.11i/RSN/WPA2</li>
<li>RSN: PMKSA caching, pre-authentication</li>
</ul>

<p>Supported drivers:</p>
<ul>
<li>Linux drivers that support Linux Wireless Extensions v19 or newer with
WPA/WPA2 extensions</li>
<li>Host AP driver for Prism2/2.5/3</li>
<li>Linuxant DriverLoader with Windows NDIS driver supporting WPA</li>
<li>Agere Systems Inc. Linux Driver (Hermes-I/Hermes-II chipset)</li>
<li>madwifi (Atheros ar521x)</li>
<li>ATMEL AT76C5XXx</li>
<li>Linux ndiswrapper with Windows NDIS driver</li>
<li>Broadcom wl.o driver</li>
<li>Intel ipw2100 and ipw2200</li>
<li>Wired Ethernet drivers</li>
<li>BSD net80211 layer (e.g., Atheros driver) (FreeBSD 6-CURRENT)</li>
<li>Windows NDIS drivers (Windows; at least XP and 2000, others not tested)</li>
</ul>

<h3><a name="wpa_authenticator">WPA/RSN/EAP Authenticator (hostapd)</a></h3>

<p>More information is available on <a
href="hostapd/">hostapd's own page</a>.</p>

<p>Supported WPA/IEEE 802.11i features:</p>
<ul>
<li>WPA-PSK ("WPA-Personal")</li>
<li>WPA with EAP (e.g., with RADIUS authentication server) ("WPA-Enterprise")<br>
<li>key management for CCMP, TKIP, WEP104, WEP40</li>
<li>WPA and full IEEE 802.11i/RSN/WPA2</li>
<li>RSN: PMKSA caching, pre-authentication</li>
</ul>

<p>Supported drivers:</p>
<ul>
<li>Linux mac80211-based drivers with AP mode support</li>
<li>Host AP driver for Prism2/2.5/3</li>
<li>madwifi (Atheros ar521x)</li>
<li>BSD net80211 layer (e.g., Atheros driver) (FreeBSD 6-CURRENT)</li>
</ul>

<h3><a name="download">Download</a></h3>

<p>
<b>Host AP driver</b><br>
Copyright (c) 2001-2002, SSH Communications Security Corp and
Jouni Malinen.<br>
Copyright (c) 2002-2007, Jouni Malinen and contributors.<br>

Author: Jouni Malinen &lt;j@w1.fi&gt;
</p>

<p>
<b>Host AP utils</b><br>
Copyright (c) 2002-2005, Jouni Malinen &lt;j@w1.fi&gt;
and contributors.
</p>

<p>
<b>hostapd</b><br>
Copyright (c) 2002-2009, Jouni Malinen &lt;j@w1.fi&gt;
and contributors.
</p>

<p>
<b>wpa_supplicant</b><br>
Copyright (c) 2003-2009, Jouni Malinen &lt;j@w1.fi&gt;
and contributors.
</p>

<p>
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2 as
published by the Free Software Foundation. See
<a href="/gitweb/gitweb.cgi?p=hostap.git;a=blob_plain;f=COPYING">COPYING</a>
for more details. hostapd and wpa_supplicant are alternatively
available under BSD license.
</p>


<p>
<b>Please see
<a href="/cgi-bin/viewcvs.cgi/*checkout*/hostap/README?rev=HEAD&amp;content-type=text/plain">README</a>
for updated documentation of the driver.
Please also check <a href="/gitweb/gitweb.cgi?p=hostap.git;a=blob_plain;f=FAQ">FAQ</a> before sending problem reports.</b>
</p>


<p>
<b>Note!</b>
Host AP driver was added into the main kernel tree in Linux
v2.6.14. The version in the kernel tree should be used instead of this
external hostap-driver package. The external releases are only for
older kernel versions and all the future development will be in the
main kernel tree.
</p>


<ul>
<li><a href="releases.html">Release graph</a></li>
<li>Latest stable release:
<ul>
<li><a href="releases/hostapd-0.6.9.tar.gz">hostapd-0.6.9.tar.gz</a>
<li><a href="releases/wpa_supplicant-0.6.9.tar.gz">wpa_supplicant-0.6.9.tar.gz</a> (source code for all versions)</li>
<li><a href="releases/wpa_supplicant-0.6.9.exe">wpa_supplicant-0.6.9.exe</a> (binary installer for Windows)</li>
<li><a href="releases/wpa_supplicant-windows-bin-0.6.9.zip">wpa_supplicant-windows-bin-0.6.9.zip</a> (binaries for Windows)</li>
<li><a href="wpa_supplicant/qt4/wpa_gui-qt433-windows-dll.zip">wpa_gui-qt433-windows-dll.zip</a> (Qt4 libraries from wpa_gui/Windows)</li>
</ul>
<li>Latest development release:
<ul>
<li><a href="releases/hostapd-0.7.0.tar.gz">hostapd-0.7.0.tar.gz</a>
<li><a href="releases/wpa_supplicant-0.7.0.tar.gz">wpa_supplicant-0.7.0.tar.gz</a> (source code for all versions)</li>
<li><a href="releases/wpa_supplicant-0.7.0.exe">wpa_supplicant-0.7.0.exe</a> (binary installer for Windows)</li>
<li><a href="releases/wpa_supplicant-windows-bin-0.7.0.zip">wpa_supplicant-windows-bin-0.7.0.zip</a> (binaries for Windows)</li>
</ul>
<li>ChangeLog:
<ul>
<li>hostapd:
<a href="/gitweb/gitweb.cgi?p=hostap.git;a=blob_plain;f=hostapd/ChangeLog">[development branch]</a>
<a href="/gitweb/gitweb.cgi?p=hostap-06.git;a=blob_plain;f=hostapd/ChangeLog">[stable branch]</a>
<li>wpa_supplicant:
<a href="/gitweb/gitweb.cgi?p=hostap.git;a=blob_plain;f=wpa_supplicant/ChangeLog">[development branch]</a>
<a href="/gitweb/gitweb.cgi?p=hostap-06.git;a=blob_plain;f=wpa_supplicant/ChangeLog">[stable branch]</a>
</ul>
<li><a href="releases/">Old releases</a>
<li><a href="http://lists.shmoo.com/mailman/listinfo/hostap">Mailing list</a>
<li><a href="http://lists.shmoo.com/pipermail/hostap/">New mailing list archives</a>
<li><a href="hostap/">Old mailing list archives</a>
<li><a href="htdig/">Search mailing list archives</a>
<li><a href="/gitweb/gitweb.cgi">Web interface to GIT repository (0.6.x and newer)</a></li>
<li><a href="/cgi-bin/viewcvs.cgi/hostap/">Web interface to CVS repository (0.5.x and older)</a></li>
<li><a href="releases/snapshots/">Snapshot releases from all active branches</a>
<li><a href="cvs.html">GIT and read-only anonymous CVS access (pserver)</a>
<li><a href="links.html">Host AP related links</a>
<li><a href="bugz/">Bug and feature request tracking</a></li>
</ul>

<h3>Wireless Tools for Linux</h3>

<p>
Please, note that you will need quite recent version of Wireless Tools
to use some features of the Host AP driver. Using the
<a href="http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html#latest">latest</a>
version of the tools is recommended. Some features might also require latest beta version.
</p>

<h3>Feedback, comments, mailing list</h3>

<p>
Any comments, reports on success/failure, ideas for further
improvement, feature requests, etc. are welcome at j@w1.fi.
Please note, that I often receive more email than I have time to answer.
Unfortunately, some messages may not get a reply, but I'll try to go
through my mail whenever time permits.
</p>

<p>
There is also a mailing list for Host AP related messages.
Since this list has a broader audience, your likelyhood of getting
responses is higher. This list is recommended for general questions
about Host AP driver and its development. In addition, I will send
release notes to it whenever a new version is available.
</p>

<p>
The mailing list information and web archive is at <a
href="http://lists.shmoo.com/mailman/listinfo/hostap">http://lists.shmoo.com/mailman/listinfo/hostap</a>.
Messages to hostap@shmoo.com will be delivered to the
subscribers. Please note, that due to large number of spam and virus
messages sent to the list address, the list is configured to accept
messages only from subscribed addresses. Messages from unsubscribed addresses
may be accepted manually, but their delivery will be delayed.
</p>

<p>
If you want to make sure your bug report of feature request does not
get lost, please report it through the bug tracking system as
<a href="bugz/enter_bug.cgi">a new bug/feature request</a>.
</p>

    <hr>
    <div>
    <address><a href="mailto:j@w1.fi">Jouni Malinen</a></address>
<!-- Created: Mon May 27 20:08:41 EEST 2002 -->
<!-- hhmts start -->
Last modified: Sat Dec 12 20:45:09 EET 2009
<!-- hhmts end -->
    </div>
  </body>
</html>
